#!/usr/bin/env kjscmd

var vbox = new TQVBox();
var tw = new TQTabWidget(vbox);
var okButton = new TQToolButton(vbox);

okButton.text = "Ok";

var c1 = new TQToolButton( tw );
var c2 = new TQToolButton( tw );

function tabchanged(q) {
     alert( "Tab Changed, " + q.text );
}

c1.text = "Tab1's button";
c2.text = "Tab2's button";

tw.addTab(c1, "1");
tw.addTab(c2, "2");

vbox.connect(tw, "currentChanged(TQWidget*)", this, "tabchanged");
vbox.connect(okButton, "clicked()", this, "exit");
vbox.show();

application.exec();
